#
# spec file for package ghc-amazonka-cognito-identity
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name amazonka-cognito-identity
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.4.3
Release:        7.11
Summary:        Amazon Cognito Identity SDK
License:        MPL-2.0
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-amazonka-core-devel
BuildRequires:  ghc-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-amazonka-test-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-unordered-containers-devel
%endif

%description
Amazon Cognito Amazon Cognito is a web service that delivers scoped temporary
credentials to mobile devices and other untrusted environments. Amazon Cognito
uniquely identifies a device and supplies the user with a consistent identity
over the lifetime of an application. Using Amazon Cognito, you can enable
authentication with one or more third-party identity providers (Facebook,
Google, or Login with Amazon), and you can also choose to support
unauthenticated access from your app. Cognito delivers a unique identifier for
each user and acts as an OpenID token provider trusted by AWS Security Token
Service (STS) to access temporary, limited-privilege AWS credentials.
To provide end-user credentials, first make an unsigned call to < GetId>.
If the end user is authenticated with one of the supported identity providers,
set the ' Logins ' map with the identity provider token. ' GetId ' returns a
unique identifier for the user. Next, make an unsigned call to <
GetCredentialsForIdentity>. This call expects the same ' Logins ' map as the '
GetId ' call, as well as the ' IdentityID ' originally returned by ' GetId ' .
Assuming your identity pool has been configured via the < SetIdentityPoolRoles>
operation, ' GetCredentialsForIdentity ' will return AWS credentials for your
use. If your pool has not been configured with ' SetIdentityPoolRoles ' , or if
you want to follow legacy flow, make an unsigned call to < GetOpenIdToken>,
which returns the OpenID token necessary to call STS and retrieve AWS
credentials. This call expects the same ' Logins ' map as the ' GetId ' call,
as well as the ' IdentityID ' originally returned by ' GetId ' . The token
returned by ' GetOpenIdToken ' can be passed to the STS operation
<http://docs.aws.amazon.com/STS/latest/APIReference/API_AssumeRoleWithWebIdentity.html
AssumeRoleWithWebIdentity> to retrieve AWS credentials. If you want to use
Amazon Cognito in an Android, iOS, or Unity application, you will probably want
to make API calls via the AWS Mobile SDK. To learn more, see the
<http://docs.aws.amazon.com/mobile/index.html AWS Mobile SDK Developer Guide>.

The types from this library are intended to be used with
<http://hackage.haskell.org/package/amazonka amazonka>, which provides
mechanisms for specifying AuthN/AuthZ information and sending requests.

Use of lenses is required for constructing and manipulating types.
This is due to the amount of nesting of AWS types and transparency regarding
de/serialisation into more palatable Haskell values. The provided lenses should
be compatible with any of the major lens libraries such as
<http://hackage.haskell.org/package/lens lens> or
<http://hackage.haskell.org/package/lens-family-core lens-family-core>.

See "Network.AWS.CognitoIdentity" or <https://aws.amazon.com/documentation/ the
AWS Documentation> to get started.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library
development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README.md

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.4.3 revision 0 with cabal2obs.
